
/*
 * Copyright (c) 2006-2008 by Roland Riegel <feedback@roland-riegel.de>
 *
 * This file is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef ENC28J60_CONFIG_H
#define ENC28J60_CONFIG_H

/**
 * \addtogroup net
 *
 * @{
 */
/**
 * \addtogroup net_driver
 *
 * @{
 */
/**
 * \addtogroup net_driver_enc28j60
 *
 * @{
 */
/**
 * \file
 * Microchip ENC28J60 I/O configuration header (license: GPLv2)
 *
 * \author Roland Riegel
 */

#define enc28j60_config_io() \
    DDRB |= (1 << DDB0);    /* SS */ \
    DDRE |= (1 << DDE4);    /* RESET */ \
    enc28j60_reset_on()

#define enc28j60_select() \
    PORTB &= ~(1 << PB0)
#define enc28j60_deselect() \
    PORTB |= (1 << PB0)

#define enc28j60_reset_on() \
    PORTE &= ~(1 << PE4)
#define enc28j60_reset_off() \
    PORTE |= (1 << PE4)

#define ENC28J60_FULL_DUPLEX 1

/**
 * @}
 * @}
 * @}
 */

#endif

